Page MenuHomePhabricator

Set $wgAllowMicrodataAttributes = true for all Wikinews wikis
Closed, ResolvedPublic

Description

Set $wgAllowMicrodataAttributes = true for all Wikinews wikis

Obviously at least things like https://schema.org/NewsArticle and https://schema.org/Event would be useful in pages.

Event Timeline

Danny_B created this task.Mar 4 2016, 3:58 AM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptMar 4 2016, 3:58 AM
Dereckson added a subscriber: Dereckson.

Could you discuss this on en. and de.wikinews? Meanwhile, I'm starting a discussion on fr.wikinews.

This is purely technical thing which does not change anything, so why should the community consensus be requested? It does not force anything, so if it won't be wanted to be used, it won't be used. It does not harm anything.

There is bunch of other features which are breaking or changing and are being enabled without asking the communities, so why this - harmless and unlike some others undoubtfuly and unquestionably useful feature - should ask...

(Besides I actually don't see any reason why microdata shouldn't be allowed globally on all wikis.)

Dereckson triaged this task as Lowest priority.Mar 15 2016, 5:43 PM
Dereckson changed the task status from Open to Stalled.

It seemed to me a quicker course of action to enable the feature first on some selected wikis, like WikiNews, then show how that works, then propagate to global community.

So we'll pause the handling of this task while we visit the direct road of global enable on T130034.

This issue will be resolved by the deployment of change e789f51f1183 (wmf18) on Wikinews Thursday, 23 March 2016.

Dereckson closed this task as Resolved.Mar 23 2016, 10:34 PM